Package org.eclipse.emf.compare.scope

# Class DefaultComparisonScope

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.compare.scope.AbstractComparisonScope
org.eclipse.emf.compare.scope.FilterComparisonScope
org.eclipse.emf.compare.scope.DefaultComparisonScope

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `IComparisonScope`, `IComparisonScope2`, `IDiagnosable`

public class DefaultComparisonScope extends FilterComparisonScope
This is the default implementation of an `IComparisonScope`. When matching EObjects through their identifier, we simply retrieve all content under a `Resource`, filter out the `EGenericType`s since they are handled through special means by EMF (mutually derived references such as eSuperTypes<->eGenericSuperTypes, eType<->eGenericType...) and iterate over this list as a whole.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.scope.FilterComparisonScope

`eObjectContentFilter, resourceContentFilter, resourceSetContentFilter`

### Fields inherited from class org.eclipse.emf.compare.scope.AbstractComparisonScope

`allInvolvedResourceURIs, diagnostic, left, nsURIs, origin, resourceURIs, right`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

## Constructor Summary

Constructors
Constructor
Description
`DefaultComparisonScope(Notifier left, Notifier right, Notifier origin)`
Simply delegates to the super constructor.

## Method Summary

### Methods inherited from class org.eclipse.emf.compare.scope.FilterComparisonScope

`addUri, addUri, addUri, getChildren, getCoveredEObjects, getCoveredResources, setEObjectContentFilter, setResourceContentFilter, setResourceSetContentFilter`

### Methods inherited from class org.eclipse.emf.compare.scope.AbstractComparisonScope

`getAllInvolvedResourceURIs, getDiagnostic, getLeft, getNsURIs, getOrigin, getResourceURIs, getRight, isAdapterForType, setDiagnostic`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultComparisonScope

public DefaultComparisonScope(Notifier left, Notifier right, Notifier origin)
Simply delegates to the super constructor.

Parameters:
  `left` - Left root of this comparison.
  `right` - Right root of this comparison.
  `origin` - Common ancestor of `left` and `right`.